"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Comment = void 0;
const tslib_1 = require("tslib");
const hooks_react_1 = require("@sensenet/hooks-react");
const Avatar_1 = tslib_1.__importDefault(require("@material-ui/core/Avatar"));
const Button_1 = tslib_1.__importDefault(require("@material-ui/core/Button"));
const CardActions_1 = tslib_1.__importDefault(require("@material-ui/core/CardActions"));
const CardContent_1 = tslib_1.__importDefault(require("@material-ui/core/CardContent"));
const CardHeader_1 = tslib_1.__importDefault(require("@material-ui/core/CardHeader"));
const Collapse_1 = tslib_1.__importDefault(require("@material-ui/core/Collapse"));
const Typography_1 = tslib_1.__importDefault(require("@material-ui/core/Typography"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
const _1 = require(".");
const MAX_TEXT_LENGTH = 160;
/**
 * Represents a single comment component.
 */
const Comment = (props) => {
    const isLongText = props.comment.text && props.comment.text.length > MAX_TEXT_LENGTH;
    const [isOpen, setIsOpen] = react_1.useState(!isLongText);
    const localization = hooks_1.useLocalization();
    const commentState = hooks_1.useCommentState();
    const repo = hooks_react_1.useRepository();
    const [isSelected, setIsSelected] = react_1.useState(props.comment.id === commentState.activeCommentId);
    react_1.useEffect(() => {
        setIsSelected(props.comment.id === commentState.activeCommentId);
    }, [commentState.activeCommentId, props.comment.id]);
    return (react_1.default.createElement(_1.CommentCard, { active: isSelected, onClick: () => commentState.setActiveComment(props.comment.id) },
        react_1.default.createElement(CardHeader_1.default, { avatar: repo.configuration.repositoryUrl === props.comment.createdBy.avatarUrl ? (react_1.default.createElement(Avatar_1.default, null)) : (react_1.default.createElement(Avatar_1.default, { src: props.comment.createdBy.avatarUrl, alt: localization.avatarAlt })), title: props.comment.createdBy.displayName }),
        react_1.default.createElement(Collapse_1.default, { in: isOpen, timeout: "auto", collapsedHeight: isOpen ? '0px' : '78px' },
            react_1.default.createElement(CardContent_1.default, null,
                react_1.default.createElement(Typography_1.default, { style: { wordBreak: 'break-word' } }, props.comment.text))),
        react_1.default.createElement(CardActions_1.default, null, isLongText ? (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Button_1.default, { size: "small", onClick: () => setIsOpen(!isOpen) }, isOpen ? localization.showLess : localization.showMore),
            isOpen ? react_1.default.createElement(_1.DeleteButton, { comment: props.comment }) : null)) : (react_1.default.createElement(_1.DeleteButton, { comment: props.comment })))));
};
exports.Comment = Comment;
//# sourceMappingURL=comment.js.map