"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteButton = void 0;
const tslib_1 = require("tslib");
const Button_1 = tslib_1.__importDefault(require("@material-ui/core/Button"));
const react_1 = tslib_1.__importStar(require("react"));
const __1 = require("..");
const hooks_1 = require("../../hooks");
/**
 * Represents a delete button with confirmation dialog
 */
const DeleteButton = (props) => {
    const [isDialogOpen, setIsDialogOpen] = react_1.useState(false);
    const api = hooks_1.useDocumentViewerApi();
    const { documentData } = hooks_1.useDocumentData();
    const localization = hooks_1.useLocalization();
    const handleClick = () => {
        setIsDialogOpen(true);
    };
    const handleDialogClose = (isCanceled) => {
        if (!isCanceled) {
            api.commentActions.deletePreviewComment({
                document: documentData,
                commentId: props.comment.id,
                abortController: new AbortController(),
            });
        }
        setIsDialogOpen(false);
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.default, { color: "primary", size: "small", onClick: handleClick }, localization.delete),
        react_1.default.createElement(__1.ConfirmationDialog, { dialogTitle: localization.deleteCommentDialogTitle, cancelButtonText: localization.cancelButton, okButtonText: localization.okButton, isOpen: isDialogOpen, onClose: handleDialogClose }, localization.deleteCommentDialogBody)));
};
exports.DeleteButton = DeleteButton;
//# sourceMappingURL=delete-comment-button.js.map