"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentViewerLoading = void 0;
const tslib_1 = require("tslib");
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const Typography_1 = tslib_1.__importDefault(require("@material-ui/core/Typography"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../hooks");
const useStyles = makeStyles_1.default(() => {
    return createStyles_1.default({
        mainWrapper: {
            display: 'flex',
            justifyContent: 'space-around',
            alignContent: 'center',
            alignItems: 'center',
            height: '100%',
        },
        loaderWrapper: {
            display: 'flex',
            justifyContent: 'space-between',
            alignItems: 'center',
            flexDirection: 'column',
            maxWidth: 500,
            margin: '.5em 0 .6em 0',
        },
        typography: {
            marginTop: '1rem',
            fontWeight: 'bolder',
        },
    });
});
const DocumentViewerLoading = (props) => {
    const classes = useStyles();
    const localization = hooks_1.useLocalization();
    return (react_1.default.createElement("div", { className: classes.mainWrapper },
        react_1.default.createElement("div", { className: classes.loaderWrapper },
            react_1.default.createElement("img", { src: props.image, alt: "Loader" }),
            react_1.default.createElement(Typography_1.default, { variant: "h5", color: "textSecondary", align: "center", className: classes.typography }, localization.loadingDocument))));
};
exports.DocumentViewerLoading = DocumentViewerLoading;
//# sourceMappingURL=document-viewer-loading.js.map