"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentViewerRegeneratePreviews = void 0;
const tslib_1 = require("tslib");
const Button_1 = tslib_1.__importDefault(require("@material-ui/core/Button/Button"));
const CircularProgress_1 = tslib_1.__importDefault(require("@material-ui/core/CircularProgress/CircularProgress"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const Typography_1 = tslib_1.__importDefault(require("@material-ui/core/Typography"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../hooks");
const useStyles = makeStyles_1.default(() => {
    return createStyles_1.default({
        mainWrapper: {
            display: 'flex',
            justifyContent: 'space-around',
            alignContent: 'center',
            alignItems: 'center',
            height: '100%',
        },
        regenerateWrapper: {
            display: 'flex',
            justifyContent: 'space-between',
            alignItems: 'center',
            flexDirection: 'column',
            maxWidth: 500,
            margin: '.5em 0 .6em 0',
        },
    });
});
const DocumentViewerRegeneratePreviews = () => {
    const classes = useStyles();
    const [isRegenerating, setIsRegenerating] = react_1.useState(false);
    const localization = hooks_1.useLocalization();
    const api = hooks_1.useDocumentViewerApi();
    const { documentData, updateDocumentData, isInProgress, triggerReload } = hooks_1.useDocumentData();
    /**
     * renders the component
     */
    return (react_1.default.createElement("div", { className: classes.mainWrapper },
        react_1.default.createElement("div", { className: classes.regenerateWrapper },
            react_1.default.createElement(Typography_1.default, { variant: "subtitle1", color: "textSecondary", align: "center", gutterBottom: true }, localization.regeneratePreviews),
            react_1.default.createElement(Button_1.default, { variant: "contained", disabled: isRegenerating || isInProgress, onClick: () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
                    setIsRegenerating(true);
                    const result = yield api.regeneratePreviews({
                        document: documentData,
                        abortController: new AbortController(),
                    });
                    updateDocumentData(Object.assign(Object.assign({}, documentData), { pageCount: result.PageCount }));
                    setIsRegenerating(false);
                    triggerReload();
                }) },
                isRegenerating && react_1.default.createElement(CircularProgress_1.default, { size: 24, style: { marginRight: '1em' } }),
                localization.regenerateButton))));
};
exports.DocumentViewerRegeneratePreviews = DocumentViewerRegeneratePreviews;
//# sourceMappingURL=document-viewer-regenerate-previews.js.map