import { SlideProps } from '@material-ui/core/Slide';
import { Theme } from '@material-ui/core/styles';
import React, { ReactNode } from 'react';
import { LocalizationType } from '../context';
import { DocumentViewerApiSettings, ViewerState } from '../models';
export declare const POLLING_INTERVAL = 5000;
/**
 * Defined the component's own properties
 */
export interface DocumentViewerProps {
    /**
     * The document's Id or Path to preview
     */
    documentIdOrPath: string | number;
    /**
     * An optional document version value
     */
    version?: string;
    /**
     * Props for the Slider
     */
    drawerSlideProps?: Partial<SlideProps>;
    /**
     * An overrideable Loader image
     */
    loaderImage?: string;
    /**
     * The Material theme
     */
    theme?: Theme;
    /**
     * Optional API method overrides if you have to use custom API
     */
    api?: Partial<DocumentViewerApiSettings>;
    /**
     * Overrideable localized string resources
     */
    localization?: Partial<LocalizationType>;
    /**
     * The default state of the Document Viewer
     */
    defaultState?: ViewerState;
    /**
     * Toolbar to be rendered
     */
    renderAppBar: () => JSX.Element | ReactNode;
}
export declare const DocumentViewer: React.FC<DocumentViewerProps>;
//# sourceMappingURL=document-viewer.d.ts.map