"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddHighlightWidget = void 0;
const tslib_1 = require("tslib");
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const ChatBubbleOutlineSharp_1 = tslib_1.__importDefault(require("@material-ui/icons/ChatBubbleOutlineSharp"));
const clsx_1 = tslib_1.__importDefault(require("clsx"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const toggle_base_1 = require("./toggle-base");
const useStyles = makeStyles_1.default((theme) => {
    return createStyles_1.default({
        iconButton: {},
        icon: {},
        iconActive: {
            fill: theme.palette.primary.main,
        },
    });
});
/**
 * Document widget component to draw Highlight
 */
const AddHighlightWidget = (props) => {
    var _a, _b;
    const classes = useStyles(props);
    const localization = hooks_1.useLocalization();
    const viewerState = hooks_1.useViewerState();
    const permissions = hooks_1.useDocumentPermissions();
    const pageRotation = ((_b = (_a = viewerState.rotation) === null || _a === void 0 ? void 0 : _a.find((rotation) => rotation.pageNum === viewerState.activePage)) === null || _b === void 0 ? void 0 : _b.degree) || 0;
    return (react_1.default.createElement(toggle_base_1.ToggleBase, { disabled: !permissions.canEdit || pageRotation !== 0, classes: classes, active: viewerState.activeShapePlacing === 'highlight', title: localization.addHighlight, setValue: (value) => viewerState.updateState({ activeShapePlacing: value ? 'highlight' : 'none' }) },
        react_1.default.createElement(ChatBubbleOutlineSharp_1.default, { className: clsx_1.default(classes.icon, { [classes.iconActive]: viewerState.activeShapePlacing === 'highlight' }) })));
};
exports.AddHighlightWidget = AddHighlightWidget;
//# sourceMappingURL=add-highlight.js.map