"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RotateWidget = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const __1 = require("../..");
const hooks_1 = require("../../hooks");
const RotateWidget = (props) => {
    const viewerState = hooks_1.useViewerState();
    const previewImages = hooks_1.usePreviewImages();
    const rotateFunc = (newRotation, direction, pageIndex) => {
        const existingObj = newRotation.find((rotation) => rotation.pageNum === pageIndex);
        if (newRotation.length > 0 && existingObj) {
            const prevValue = existingObj.degree || 0;
            existingObj.degree = __1.ImageUtil.normalizeDegrees((prevValue + ((direction === 'left' ? -__1.ROTATION_AMOUNT : __1.ROTATION_AMOUNT) % 360)) % 360);
        }
        else {
            newRotation.push({
                pageNum: pageIndex,
                degree: __1.ImageUtil.normalizeDegrees((0 + ((direction === 'left' ? -__1.ROTATION_AMOUNT : __1.ROTATION_AMOUNT) % 360)) % 360),
            });
        }
    };
    const rotateDocument = react_1.useCallback((direction) => {
        var _a;
        const newRotation = (_a = viewerState.rotation) !== null && _a !== void 0 ? _a : [];
        if (props.pages === 'all') {
            previewImages.imageData.forEach((page) => {
                rotateFunc(newRotation, direction, page.Index);
            });
        }
        else {
            rotateFunc(newRotation, direction, viewerState.activePage);
        }
        viewerState.updateState({
            rotation: newRotation,
        });
    }, [previewImages.imageData, props.pages, viewerState]);
    switch (props.mode) {
        case __1.ROTATION_MODE.anticlockwise:
        case __1.ROTATION_MODE.clockwise:
            return props.renderButton(props.mode, rotateDocument);
        default:
            return (react_1.default.createElement(react_1.default.Fragment, null,
                props.renderButton(__1.ROTATION_MODE.anticlockwise, rotateDocument),
                props.renderButton(__1.ROTATION_MODE.clockwise, rotateDocument)));
    }
};
exports.RotateWidget = RotateWidget;
//# sourceMappingURL=rotate-widget.js.map