"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Share = void 0;
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const Share_1 = tslib_1.__importDefault(require("@material-ui/icons/Share"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const useStyles = makeStyles_1.default(() => {
    return createStyles_1.default({
        iconButton: { display: 'inline-block' },
        icon: {},
    });
});
/**
 * Component that allows sharing
 */
const Share = (props) => {
    const classes = useStyles(props);
    const localization = hooks_1.useLocalization();
    const { documentData } = hooks_1.useDocumentData();
    return (react_1.default.createElement(IconButton_1.default, { className: classes.iconButton, color: "inherit", title: localization.share, onClick: () => props.share(documentData), id: "Share" },
        react_1.default.createElement(Share_1.default, { className: classes.icon })));
};
exports.Share = Share;
//# sourceMappingURL=share-widget.js.map