"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToggleBase = void 0;
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton/IconButton"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const react_1 = tslib_1.__importDefault(require("react"));
const useStyles = makeStyles_1.default(() => {
    return createStyles_1.default({
        iconButton: { display: 'inline-block' },
        iconActive: {},
        icon: {},
    });
});
/**
 * Represents a base toggle component
 */
const ToggleBase = (props) => {
    const classes = useStyles(props);
    return (react_1.default.createElement(IconButton_1.default, { disabled: props.disabled, className: classes.iconButton, color: props.active ? 'primary' : 'inherit', title: props.title, onClick: () => props.setValue(!props.active) }, props.children));
};
exports.ToggleBase = ToggleBase;
//# sourceMappingURL=toggle-base.js.map