"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToggleCommentsWidget = void 0;
const tslib_1 = require("tslib");
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const Forum_1 = tslib_1.__importDefault(require("@material-ui/icons/Forum"));
const clsx_1 = tslib_1.__importDefault(require("clsx"));
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const toggle_base_1 = require("./toggle-base");
const useStyles = makeStyles_1.default((theme) => {
    return createStyles_1.default({
        iconButton: {},
        icon: {},
        iconActive: {
            fill: theme.palette.primary.main,
        },
    });
});
/**
 * Represents a comment toggler component
 */
const ToggleCommentsWidget = (props) => {
    const classes = useStyles(props);
    const localization = hooks_1.useLocalization();
    const viewerState = hooks_1.useViewerState();
    return (react_1.default.createElement(toggle_base_1.ToggleBase, { classes: classes, active: viewerState.showComments, title: localization.toggleComments, setValue: (v) => viewerState.updateState({ showComments: v }) },
        react_1.default.createElement(Forum_1.default, { className: clsx_1.default(classes.icon, { [classes.iconActive]: viewerState.showComments }) })));
};
exports.ToggleCommentsWidget = ToggleCommentsWidget;
//# sourceMappingURL=toggle-comments.js.map