"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZoomInOutWidget = void 0;
const tslib_1 = require("tslib");
const IconButton_1 = tslib_1.__importDefault(require("@material-ui/core/IconButton"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const ZoomIn_1 = tslib_1.__importDefault(require("@material-ui/icons/ZoomIn"));
const ZoomOut_1 = tslib_1.__importDefault(require("@material-ui/icons/ZoomOut"));
const react_1 = tslib_1.__importStar(require("react"));
const hooks_1 = require("../../hooks");
const useStyles = makeStyles_1.default(() => {
    return createStyles_1.default({
        iconButton: {},
        icon: {},
    });
});
/**
 * Document widget component for modifying the zoom mode / level
 */
const ZoomInOutWidget = (props) => {
    const classes = useStyles(props);
    const localization = hooks_1.useLocalization();
    const viewerState = hooks_1.useViewerState();
    const zoomIn = react_1.useCallback(() => {
        viewerState.updateState({
            zoomLevel: viewerState.zoomLevel + 1,
        });
    }, [viewerState]);
    const zoomOut = react_1.useCallback(() => {
        viewerState.updateState({
            zoomLevel: viewerState.zoomLevel - 1,
        });
    }, [viewerState]);
    return (react_1.default.createElement("div", { style: { display: 'inline-block' } },
        react_1.default.createElement(IconButton_1.default, { className: classes.iconButton, color: "inherit", onClick: zoomIn, title: localization.zoomIn, disabled: viewerState.zoomLevel >= 13 },
            react_1.default.createElement(ZoomIn_1.default, { className: classes.icon })),
        react_1.default.createElement(IconButton_1.default, { className: classes.iconButton, color: "inherit", onClick: zoomOut, title: localization.zoomOut, disabled: viewerState.zoomLevel <= -7 },
            react_1.default.createElement(ZoomOut_1.default, { className: classes.icon }))));
};
exports.ZoomInOutWidget = ZoomInOutWidget;
//# sourceMappingURL=zoom-in-out.js.map