"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LayoutAppBar = void 0;
const tslib_1 = require("tslib");
const AppBar_1 = tslib_1.__importDefault(require("@material-ui/core/AppBar"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const Toolbar_1 = tslib_1.__importDefault(require("@material-ui/core/Toolbar"));
const react_1 = tslib_1.__importDefault(require("react"));
const useStyles = makeStyles_1.default(() => {
    return createStyles_1.default({
        appBar: {
            position: 'relative',
            zIndex: 1,
        },
        toolBar: {
            display: 'flex',
            justifyContent: 'space-between',
        },
    });
});
/**
 * Represents a Toolbar component in an AppBar
 */
const LayoutAppBar = (props) => {
    const classes = useStyles(props);
    return (react_1.default.createElement(AppBar_1.default, { position: "sticky", className: classes.appBar },
        react_1.default.createElement(Toolbar_1.default, { className: classes.toolBar }, props.children)));
};
exports.LayoutAppBar = LayoutAppBar;
//# sourceMappingURL=layout-app-bar.js.map