"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShapeDraft = void 0;
const tslib_1 = require("tslib");
const grey_1 = tslib_1.__importDefault(require("@material-ui/core/colors/grey"));
const createStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/createStyles"));
const makeStyles_1 = tslib_1.__importDefault(require("@material-ui/core/styles/makeStyles"));
const react_1 = tslib_1.__importDefault(require("react"));
const useStyles = makeStyles_1.default(() => createStyles_1.default({
    root: {
        top: ({ dimensions }) => dimensions.top,
        left: ({ dimensions }) => dimensions.left,
        width: ({ dimensions }) => dimensions.width,
        height: ({ dimensions }) => dimensions.height,
        position: 'absolute',
        backgroundColor: grey_1.default[600],
        opacity: 0.2,
    },
}));
/**
 * Return a styled shape
 * @param dimensions Shape dimensions
 * @returns styled shape
 */
function ShapeDraft({ dimensions }) {
    const classes = useStyles({ dimensions });
    return react_1.default.createElement("div", { className: classes.root, tabIndex: 0, key: `draft-${dimensions.height}-${dimensions.width}` });
}
exports.ShapeDraft = ShapeDraft;
//# sourceMappingURL=shape-draft.js.map