"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreviewState = void 0;
/**
 * Describe the state of the preview images
 */
var PreviewState;
(function (PreviewState) {
    /**
     * Preview images are available
     */
    PreviewState[PreviewState["Available"] = 1] = "Available";
    /**
     * The document doesn't have any preview images
     */
    PreviewState[PreviewState["Empty"] = 0] = "Empty";
    /**
     * Preview image generation is in progress
     */
    PreviewState[PreviewState["Loading"] = -1] = "Loading";
    /**
     * Failed to generate the preview images due an extension error
     */
    PreviewState[PreviewState["ExtensionFailure"] = -2] = "ExtensionFailure";
    /**
     * Failed to upload
     */
    PreviewState[PreviewState["UploadFailure"] = -3] = "UploadFailure";
    /**
     * Failed to upload 2 (?)
     */
    PreviewState[PreviewState["Postponed"] = -4] = "Postponed";
    /**
     * There is no preview provider enabled
     */
    PreviewState[PreviewState["NoPreviewProviderEnabled"] = -5] = "NoPreviewProviderEnabled";
    /**
     *
     */
    PreviewState[PreviewState["ClientFailure"] = -665] = "ClientFailure";
})(PreviewState = exports.PreviewState || (exports.PreviewState = {}));
//# sourceMappingURL=enums.js.map