import { Annotation } from '@sensenet/client-core';
import React from 'react';
declare type Props = {
    shape: Annotation;
    zoomRatio: number;
    dimensions: {
        top: string | number | (string & {}) | undefined;
        left: string | number | (string & {}) | undefined;
        width: string | number | (string & {}) | undefined;
        height: string | number | (string & {}) | undefined;
    };
    onDragStart: (ev: React.DragEvent<HTMLElement>) => void;
    onResized: (ev: React.MouseEvent<HTMLElement>) => void;
    onRightClick: (ev: React.MouseEvent<HTMLElement>) => void;
    rotationDegree: number;
};
/**
 * Return a styled annotation wrapper component
 * @param permissions The permissions of the user
 * @param shape The arguments of the annotation
 * @param zoomRatio The ratio of the origina and virtual page
 * @param dimensions The dimensions of the annotation
 * @param onDragStart Function triggered on drag event
 * @param onResized Function triggered on resize event
 * @param onRightClick Function triggered on right click
 * @param renderChildren Function what returns the wrapped components
 * @returns styled annotation wrapper component
 */
export declare const AnnotationWrapper: React.FC<Props>;
export {};
//# sourceMappingURL=annotation-wrapper.d.ts.map